# -*- encoding: utf-8 -*-
# stub: mutability 1.0.3 ruby lib

Gem::Specification.new do |s|
  s.name = "mutability".freeze
  s.version = "1.0.3"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Kelli Searfos".freeze]
  s.date = "2014-12-24"
  s.description = "Mutability is a module that provides the very simple ability to designate an \"original\" version of an object that is frozen, and will not change even if the working copy of the object does. The best example is a Hash or Array -- collections like those exist partly so they can be mutated in some way, either by adding or removing elements or changing their order.  Now, rather than having to establish a separate \"original\" version of the object (not to mention dealing with the whole ivars-act-like-pointers-and-can-get-magically-changed-oops problem), you can use a MutableHash or MutableArray, and then change it to your heart's content.\n\nThe MutableHash/Array are built from the Mutability mix-in, so downloading this gem also provides a library for you to add the same capabilities to any other Class you might want.\n\nAlso included is the ability to revert to the original form with a single method call.\n".freeze
  s.email = "ksearfos@covermymeds.com".freeze
  s.homepage = "https://github.com/ksearfos/mutability".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Arrays and Hashes that retain their original identities, even after modification".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<rubocop>.freeze, [">= 0"])
    s.add_development_dependency(%q<gem-release>.freeze, [">= 0"])
  else
    s.add_dependency(%q<rubocop>.freeze, [">= 0"])
    s.add_dependency(%q<gem-release>.freeze, [">= 0"])
  end
end
